@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
/* -------------------header outer css- ---------------------------- */
.mainOuter-content {
  width: 100%;
}

.navbar {
  height: 58px;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: center;
  padding: 0 3rem;
  /* border-bottom: 0.2px solid rgb(224, 224, 224); */
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

.img-logo {
  width: 95px;
  height: 43px;
}

.navbar-brand-header {
  border-radius: 50%;
  width: 42px;
  height: 42px;
  padding: 2px;
  border: 1px solid var(--nse-purple);
}


/* ---------------------------- inner header ----------------------------------- */

body {
  display: flex;
  flex-direction: column;
    font-family: "Rubik", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 14px;

}

/* ====================== Main Header =============================== */
header {
  width: 100%;
  height: 60px;
  background-color: white;
  color: #392e7d;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 20px;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 2px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 2px -1px;
}

.hamburgerMob {
  display: none;
}

.logo {
  font-weight: 600;
  font-size: 1.2rem;
}

/* ---------------- search bar ----------------- */
.search-box-header {
    position: relative;
    width: 775px;
    margin: 10px auto;
}
.search-box-header input {
  width: 100%;
  padding: 10px 35px 10px 12px; /* space for icon on right */
  border: 1px solid var(--color-dark-gray);
  border-radius: 25px;
  outline: none;
  font-size: 14px;
  transition: all 0.3s ease;
}
.search-box-header input:focus {
  border-color: var(--nse-purple);
  box-shadow: 0 0 2px var(--nse-ex-light-purple);
}
.search-box-header i {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: #666;
    cursor: pointer;
    font-size: 16px;
}

.profile {
  display: flex;
  align-items: center;
  gap: 10px;
  position: relative;
  cursor: pointer;
}

.profile img {
  width: 32px;
  height: 32px;
  border-radius: 50%;
      margin-top: 5px;
}

.dropdownList {
  display: none;
}

.user-div{
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: center;
  gap: 10px;
  padding: 10px;
  height: 5rem;
  color: var(--bs-white);
  background-image:linear-gradient(to left top, #392e7d, #392e7cf0, #392e7dba, #4f40acde);;
}


.dropdown {
  position: absolute;
  top: 50px;
  right: 2px;
  width: 200px;
  background: #fff;
  color: #392e7d;
  border-radius: 8px;
  box-shadow: 0 4px 8px 392e7d;
  display: none;
  overflow: hidden;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.dropdown a {
  display: block;
  padding: 10px 15px;
  text-decoration: none;
  color: inherit;
  display: flex;
  gap: 10px;
}

.dropdownlinks {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding-right: 15px;
  color: var(--nse-purple);
}

.dropdown .dropdownlinks:hover {
  background-color: #f1f5f9;
  border-left: 10px solid var(--nse-orange);
}

.profile.active .dropdown {
  display: block;
}










/* ========================== Sidebar ============================= */
.container-header {
  display: flex;
  height: calc(100vh - 45px);
  margin-top: 3%;
}

.sidemenu section {
  height: 100%;
  overflow-y: auto;
  overflow-x: visible; /* allow hover expansion */
}


.sidemenu {
  width: 230px;
  background-color: white;
 /*  background-image: linear-gradient(to left top, #392e7dfc, #392e7cf0, #392e7dd1, #4f40acfa);*/
  color: #fff;
  transition: all 0.3s;
  padding-top: 34px;  
  position: relative;
  z-index: 999;
  margin-top: 1.3%;
  padding-right:5px;
  border-right: 1px solid #e2e8f0;
  padding-inline: 6px;
  padding:5px 10px;
}

.sidemenu ul {
  list-style: none;
  padding: 0;
}

.sidemenu ul li{
    /* padding: 10px 12px; */
    cursor: pointer;
    white-space: wrap;
}
.dropdowndiv{
   /*  padding: 10px 12px !important; */
    cursor: pointer;
    white-space: wrap;
}
.sidemenu ul li a {
  color: #392e7d;
    font-weight: 400;
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
      padding: 8px 5px;
}

/* .sidemenu ul li:not(.dropdowndiv):hover{
   background:#f2f2f2;
    padding: 10px 12px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
} */

.sidemenu ul li:hover a {
  color:#605696;
   z-index:9999;
}

.sidemenu ul li p {
  margin-bottom: 0;
   word-wrap: break-word;
   flex-wrap:wrap;
    background-color:transparent;
}
.sidemenu ul li:hover p{
  display:flex;
  word-wrap: break-word;
   flex-wrap:wrap;
  background-color:transparent;
   margin-bottom: 0;
   z-index:9999;
}

.sidemenu ul li i {
  margin-right: 8px;
  font-size:14px;
}
.sidemenu.closed #toggleDisplayIconRight{
  display:block;
}

.sidemenu #toggleDisplayIconLeft{
  display: none;
}

.toggle-btn {
position: absolute;
    top: -1%;
    right: -3px;
    background-color: #ffffff;
    color: #605696;
    border: none;
    border-radius: 45%;
    width: 35px;
    height: 35px;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.dropdown-container {
  display: none;
}

/* .dropdown-container li{
	padding:10px 2px  !important;
} */

.dropdown-container li {
    padding: 0px 10px  !important;
}

.sidemenu .dropdown-container li a p {
    color: #6b60ad;
    font-weight: 400;
}	
	
	


.caret {
  display:block;
  color:grey;
  margin-left: auto;
  font-size: 10px !important;
  transition: transform 0.3s ease;
}


.dropdowndiv:hover .caret{
    color:var(--nse-purple) !important;
}

.dropdowndiv.active .caret {
  transform: rotate(180deg);
  color:var(--nse-purple);
}

/* .dropdown-container li:hover {
  background-color: grey;
  border-radius: 8px;
} */

.dropdown-container li:hover a {
  color: grey;
}


/* When dropdown is open, parent must NOT react to hover */
.dropdowndiv.active {
  background-color: transparent !important;
}

.dropdowndiv.active >  a {
  color: var(--nse-purple) !important;
  
}

.dropdown-btn .active_list >  .dropdown-containe li a {
  padding: 0px !important;
  
}

.dropdown-container li a{
 padding:3px 5px !important;	
}

/* .dropdowndiv .dropdown-container li:hover {
    background:#f2f2f2;
  border-radius: 8px;
} */

/* .dropdowndiv .dropdown-container li:hover a {
  color: #392e7d;
  
} */

.sidemenu.closed .toggle-btn {
  right: -17px;
  background-color: white;
}

.sidemenu.closed {
  width: 65px;
}

/* .sidemenu.closed ul li {
    padding: 10px 12px;
} */

.sidemenu.closed ul li p {
    display: none;
}
.sidemenu.closed #toggleDisplayIconRight{
  display: none;
}
.sidemenu.closed #toggleDisplayIconLeft{
  display:block;
}
.sidemenu.closed ul li i {
  margin-left: 8px;
}

.sidemenu.closed .caret {
    display: none;
}
.sidemenu.closed .dropdowndiv{
  /*  padding: 10px 12px; */
    cursor: pointer;
    white-space: wrap;
}



/* =========================== Smallheader ================================= */
.small-header {
  position: fixed;
  top: 58px;
  left: 0px;
  right: 0;
  font-size: 0.9rem;
  height: 48px;
  background: white;
  display: flex;
  align-items: center;
  padding: 0 20px;
  border-bottom: 1px solid #e2e8f0;
  transition: all 0.3s;
  opacity: 1;
  pointer-events: auto;
  justify-content: center;
  z-index: 99;
}

.small-header.active {
  opacity: 0;
  pointer-events: none;
}

.small-header ul {
  display: flex;
  flex-direction: row;
  gap: 3rem;
  margin-bottom: 0;
}

.small-header ul li {
  list-style-type: none;
   padding: 14px 0;
}

.small-header ul li a {
  text-decoration: none;
}
.small-header ul li:hover {
  padding-bottom: 8px;
  border-bottom: 5px solid var(--nse-orange);
}

.small-header p {
  margin-bottom: 0;
  color: var(--nse-purple);
}


/* ====================== Dashboard Section ======================== */

.sidemenu.closed+main {
  margin-left: 0px;
  /* margin-top: 53px; */
}

.sidemenu:not(.closed)+main {
  margin-left: 0px;
}





/* ============================================ media query for mobile================================================= */
@media screen and (min-width:299px) and (max-width:699px) {
  .navbar {
    padding: 0 1rem;
  }
  .small-header {
    display: none !important;
  }

  .sidemenu {
    display: none !important;
  }
   .hamburgerMob{
    display: block;
   }
  .hamburgerMobIcon {
    display: block;
    color: var(--nse-purple);
    background-color: white;
    border: none;
  }

  .dropdownList {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 250px;
    background: #fff;
    color: #392e7d;
    border-radius: 8px;
    box-shadow: 0 4px 8px 392e7d;
    display: none;
    overflow: hidden;
    padding-top: 20px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  }

  .hamburgerMob.active .dropdownList {
    display: block;
    height: 100vh;
    z-index: 99;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
  }

  .dropdownList a:active {
  background-color: #f1f5f9 !important;
  border-left: 5px solid var(--nse-orange) !important;
}

/* slightly darker */
.hamburgerMob.active .main-content {
  filter: brightness(0.5);
}
  .dropdownList a {
    display: block;
    padding: 10px 15px;
    text-decoration: none;
    color: inherit;
    display: flex;
    gap: 10px;
    width: 100%;
  }

  .dropdownlinks {
    border-bottom: 0.2px solid rgb(212, 212, 212);
    padding-top: 10px;
  }

  .dropdownMobClose {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: 0;
    background: none;
    justify-content: end;
    padding-right: 15px;
    margin-bottom: 20px;
  }
  .dropdownMobClose i{
    text-align: end;
    color: var(--nse-purple);
  }
  .hamburgerMob.active ~ .main-content {
  filter: brightness(0.5);
}
}
/* ============================================ media query for mobile end  ================================================= */

/* ============================================ media query for tablet ================================================= */


@media screen and (min-width:699px) and (max-width:1200px) {
  .sidemenu {
    margin-top: 6.5%;
  }

  .small-header ul {
    gap: 1rem;
  }
}
/* ============================================ media query for tablet end================================================= */



.tooltiptext {
  visibility: hidden;
  width: 130px;
  background-color: black;
  color: #b83d3d;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%; 
  left: 50%;
  transform: translateX(-50%);
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

.dropdown-container{
 color:red;	
}

.active_list {
     background: #928bbb5c;
    padding: 8px 12px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}


/* .dropdowndiv:hover,.sidemenu.closed .dropdowndiv:hover {
background:#f2f2f2;
 padding: 10px 12px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
} */
